Loading...
Searching...
No Matches
casacore::LogiMatrix_global_functions_LogicalMatrix Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <LogiMatrix.h>`

## Public Types

typedef Matrix< LogicalArrayElem > | LogicalMatrix
| Define LogicalMatrix.

## Detailed Description

Logical valued Matrices.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- Array
- Matrix
- LogicalArray

### Etymology

LogicalMatrix declares logical valued Matrices.

### Synopsis

This file contains the declarations for LogicalMatrixs.

### Motivation

These are the Matrix specialization of LogicalArrays.

### To Do

- Consider making these into classes.
- Consider replacing with builtin boolean class when that makes it into the C++ compiler.

Definition at line 68 of file LogiMatrix.h.

## Member Typedef Documentation

## LogicalMatrix

typedef Matrix<LogicalArrayElem> casacore::LogiMatrix_global_functions_LogicalMatrix::LogicalMatrix

Define LogicalMatrix.

Definition at line 72 of file LogiMatrix.h.

The documentation for this struct was generated from the following file:

- casa/Arrays/LogiMatrix.h